Bug 183131 - Support transferring ImageBitmap objects
Summary: Support transferring ImageBitmap objects
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ms2ger
URL:
Keywords: InRadar
Depends on:
Blocks: 182424
  Show dependency treegraph
 
Reported: 2018-02-26 09:04 PST by Ms2ger
Modified: 2018-04-06 12:21 PDT (History)
10 users (show)

See Also:


Attachments
Patch (25.45 KB, patch)
2018-02-26 09:13 PST, Ms2ger
no flags Details | Formatted Diff | Diff
Patch (26.25 KB, patch)
2018-02-26 23:45 PST, Ms2ger
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ms2ger 2018-02-26 09:04:02 PST
.
Comment 1 Ms2ger 2018-02-26 09:13:36 PST
Created attachment 334620 [details]
Patch
Comment 2 Build Bot 2018-02-26 09:15:35 PST
Attachment 334620 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:1787:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:1788:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:1814:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:1815:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:3183:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
Total errors found: 5 in 9 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Ms2ger 2018-02-26 23:45:09 PST
Created attachment 334675 [details]
Patch
Comment 4 Build Bot 2018-02-26 23:48:16 PST
Attachment 334675 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:1787:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:1788:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:1814:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:1815:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:3183:  Wrong number of spaces before statement. (expected: 12)  [whitespace/indent] [4]
Total errors found: 5 in 9 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Ms2ger 2018-03-26 05:16:46 PDT
Dino, could you take a look?
Comment 6 WebKit Commit Bot 2018-04-06 12:20:41 PDT
Comment on attachment 334675 [details]
Patch

Clearing flags on attachment: 334675

Committed r230348: <https://trac.webkit.org/changeset/230348>
Comment 7 WebKit Commit Bot 2018-04-06 12:20:42 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2018-04-06 12:21:20 PDT
<rdar://problem/39245597>